POST
/
platformapi
/
chainup
/
open
/
staking
/
getApplyRecord
curl --request POST \
--url http://service.xxx.com/platformapi/chainup/open/staking/getApplyRecord

{
    "code": "0",
    "msg": "suc",
    "data": {
        "uid": 2000000,
        "inviteCode": "AAAAAA"
    }
}

Status description
1 -> In income
2 -> Normal unlock
3 -> Unlock in advance
5 -> Apply to Quit

Return value declaration

            {
                "uid": 10002186,
                "amount": "10",
                "isAuth": 1,
                "pawnCoin": "BTC",
                "etime": "1608719975000",
                "ctime": "1616342400000",
                "earlyQuitRate": "0",
                "id": 284,
                "projectName": "余币宝-测试B2",
                "projectId": 144,
                "applyStatus": 2,
                "lockDay": 7
            }
NameTypeNecessaryExampleDescription
recordsListYesRefer to aboveTabular data
currentintYes1Current page
sizeintYes10Page size
totalintYes6Total data
pagesintYes1Total pages
uidintYes10012312User’s ID
amountStringYes19Pledge deposit amount
isAuthintYes1Is the real name (0/1)
pawnCoinStringYesBTCCoin symbol
etimeintYes1616342400000Unlock time
ctimeintYes1616342400000Participation time
earlyQuitRateintYes0Proportion of liquidated damages
idintYes286Record ID
projectNameStringYesxxxProject name
projectIdintYes2Item ID
applyStatusintYes2Status (reference enumeration)
lockDayintYes7Pledge cycle

Query Parameters

appKey
string
required

Merchant AppKey

Example: xxx_xxx

sign
string
required

Signature

Example: 2ae04ed9165624419bad68e9e0f3f2sa9fbd2ae04ed916511624419bad68e9e20f3f29fbd

page
number

Paging parameters (page number).

Example: 1

pageSize
number

Paging parameters (page size).

Example: 10

userId
string

User's ID

Example: 123123

Response

200 - application/json
code
string

Return code.

Example: 0

msg
string

Success or failure message

Example: Success

data
object